class Fastd < Formula
  desc "Fast and Secure Tunnelling Daemon"
  homepage "https://github.com/neocturne/fastd"
  license "BSD-2-Clause"
  head "https://github.com/neocturne/fastd.git", branch: "main"

  stable do
    url "https://github.com/neocturne/fastd/releases/download/v23/fastd-23.tar.xz"
    sha256 "dcab54485c79dda22ce6308a2a48764d53977a518952facd1204ba21af1c86e0"

    # remove in next release
    patch do
      url "https://github.com/neocturne/fastd/commit/89abc48e60e182f8d57e924df16acf33c6670a9b.patch?full_index=1"
      sha256 "7bcac7dc288961a34830ef0552e1f9985f1b818aa37978b281f542a26fb059b9"
    end
  end

  depends_on "bison" => :build
  depends_on "meson" => :build
  depends_on "ninja" => :build
  depends_on "pkgconf" => :build
  depends_on "json-c"
  depends_on "libsodium"
  depends_on "libuecc"
  depends_on "openssl@3"

  on_linux do
    depends_on "libcap"
    depends_on "libmnl"
  end

  def install
    system "meson", "setup", "build", "-Db_lto=true", *std_meson_args
    system "meson", "compile", "-C", "build", "--verbose"
    system "meson", "install", "-C", "build"
  end

  test do
    system bin/"fastd", "--generate-key"
  end
end
